#
# spec file for package python-xsge_gui
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-xsge_gui
Version:        2.0
Release:        1.8
Summary:        xSGE GUI Toolkit
License:        LGPL-3.0-or-later
Group:          Development/Languages/Python
URL:            https://python-sge.github.io/
Source:         https://files.pythonhosted.org/packages/source/x/xsge_gui/xsge_gui-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-sge-pygame >= 1.0
Requires:       python-six >= 1.4.0
BuildArch:      noarch
%python_subpackages

%description
xSGE is a collection of extensions for SGE.
xSGE extensions are not dependent on any particular SGE implementation.
They should work with any implementation that follows the specification.

This extension provides a toolkit for adding GUIs to a SGE game
as well as support for modal dialog boxes.

%prep
%setup -q -n xsge_gui-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README WHATSNEW
%license xsge_gui/COPYING
%{python_sitelib}/xsge_gui
%{python_sitelib}/xsge_gui-%{version}.dist-info

%changelog
* Fri Dec 29 2023 Dirk Müller <dmueller@suse.com>
- update to 2.0.0:
  Additions:
  + xsge_gui.RadioButton.group
  + xsge_gui.button_bottom_sprite
  + xsge_gui.button_bottomleft_sprite
  + xsge_gui.button_bottomright_sprite
  + xsge_gui.button_top_sprite
  + xsge_gui.button_topleft_sprite
  + xsge_gui.button_topright_sprite
  + xsge_gui.button_pressed_bottom_sprite
  + xsge_gui.button_pressed_bottomleft_sprite
  + xsge_gui.button_pressed_bottomright_sprite
  + xsge_gui.button_pressed_top_sprite
  + xsge_gui.button_pressed_topleft_sprite
  + xsge_gui.button_pressed_topright_sprite
  + xsge_gui.button_selected_bottom_sprite
  + xsge_gui.button_selected_bottomleft_sprite
  + xsge_gui.button_selected_bottomright_sprite
  + xsge_gui.button_selected_top_sprite
  + xsge_gui.button_selected_topleft_sprite
  + xsge_gui.button_selected_topright_sprite
  + xsge_gui.button_color
  + xsge_gui.button_pressed_color
  + xsge_gui.button_selected_color
  + xsge_gui.Button.get_height
  + xsge_gui.textbox_color
  + xsge_gui.textbox_top_sprite
  + xsge_gui.textbox_topleft_sprite
  + xsge_gui.textbox_topright_sprite
  + xsge_gui.textbox_bottom_sprite
  + xsge_gui.textbox_bottomleft_sprite
  + xsge_gui.textbox_bottomright_sprite
  Removals:
  - xsge_gui.Window.event_close
  - xsge_gui.button_sprite
  - xsge_gui.button_pressed_sprite
  - xsge_gui.button_selected_sprite
  - xsge_gui.textbox_sprite
  Misc changes:
  * Windows no longer implicitly have a "close" button in the
    top-right.
  * Default fonts used are now in the Roboto family instead of the
    obsolete Droid Sans.
  * Default fonts are now much larger.
  * Relicensed to GNU LGPL.
* Tue May 25 2021 Steve Kowalik <steven.kowalik@suse.com>
- Do not build for Python 3.6, due to no NumPy.
* Sun Sep 13 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 1.2.1
  * Changed the default elements from blue to grayscale.
- Update to version 1.2.0
  * Added outline options to MenuWindow.from_text.
  * Added selection_prefix and selection_suffix options to
    MenuWindow.from_text for easy colorblind accessibility.
- Update to version 1.1.1
  * Removed Python 2 support.
  Bugfixes:
  * Chance of crash from a user going through too many recursive
    dialogs
* Thu Jul 26 2018 jengelh@inai.de
- Trim redundancies and bias from description.
* Sun Jul 22 2018 mardnh@gmx.de
- Initial package, version 1.1.0.1
